Walletguide
DevelopersAPIReferencemerchants

List merchants

All merchants of the wallet, each with server-computed usage counts (SE-2).

GET
/wallets/{walletId}/merchants

Authorization

bearerAuth
Authorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

In: header

Path Parameters

walletId*string

Row uuid

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/merchants"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",    "firestoreId": "string",    "name": "string",    "defaultCategoryId": "0f63fd5d-d332-4663-9682-fda5c7d5685d",    "defaultUsingDateRule": "transactionDate",    "domains": [      "string"    ],    "logo": true,    "autoCreatedSource": "googleMaps",    "autoReviewTransactions": true,    "createdTime": "2019-08-24T14:15:22Z",    "createdUserId": "string",    "lastUpdatedTime": "2019-08-24T14:15:22Z",    "lastUpdatedUserId": "string",    "nrTransactions": 0  }]